CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Message Class Reference

Abstraction for forum messages and resource comments. More...

## Public Attributes
const | OK = 0
const | NONEXISTENT = 1
const | PARENTTYPE_TOPIC = 1
const | PARENTTYPE_RESOURCE = 2

## Setup/Initialization/Destruction
| __construct ($MessageId=NULL)
| Object constructor. More...
| Delete ()
| Delete this message from the underlying database. More...

## Accessors
| MessageId ()
| Get this message's messageId. More...
| PosterName ()
| Get the CWIS username of the most recent poster. More...
| PosterEmail ()
| Get the email address of the most recent poster. More...
| EditorId ($NewValue=DB_NOVALUE)
| Get the CWIS user ID of the most recent editor. More...
| ParentId ($NewValue=DB_NOVALUE)
| Get or set the ParentId. More...
| ParentType ($NewValue=DB_NOVALUE)
| Get or set the ParentType. More...
| DatePosted ($NewValue=DB_NOVALUE)
| Get or set the date posted. More...
| DateEdited ($NewValue=DB_NOVALUE)
| Get or set the date the message was last edited. More...
| PosterId ($NewValue=DB_NOVALUE)
| Get or set the poster id (e.g., the author) for this message. More...
| Subject ($NewValue=DB_NOVALUE)
| Get or set the message subject. More...
| Body ($NewValue=DB_NOVALUE)
| Get or set the message body. More...
| GetErrorStatus ()
| Retrieve the error status. More...

## Detailed Description

Abstraction for forum messages and resource comments.

Definition at line 14 of file Message.php.

## Constructor & Destructor Documentation

Message::__construct | ( |  | $MessageId = `NULL` | ) |

Object constructor.

After constructing the object, be sure to call GetErrorStatus() and verify that it returns Message::OK.

Parameters

  int | $MessageId | The message Id to retrieve from the database, or -1 to create a new message

Definition at line 35 of file Message.php.

References MessageId().

## Member Function Documentation

Message::Body | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the message body.

Parameters

  string | $NewValue | New body text. (OPTIONAL)

Returns
  string Message body.

Definition at line 195 of file Message.php.

Message::DateEdited | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the date the message was last edited.

Parameters

  string | $NewValue | New edit date. (OPTIONAL)

Returns
  string Date the message was last edited.

Definition at line 165 of file Message.php.

Message::DatePosted | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the date posted.

Parameters

  string | $NewValue | New posting date. (OPTIONAL)

Returns
  string Posting date.

Definition at line 155 of file Message.php.

Message::Delete | ( |  | ) |

Delete this message from the underlying database.

Definition at line 74 of file Message.php.

References MessageId().

Message::EditorId | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get the CWIS user ID of the most recent editor.

Parameters

  int | $NewValue | New editor ID. (OPTIONAL)

Returns
  int CWIS user ID of the most recent editor.

Definition at line 121 of file Message.php.

Message::GetErrorStatus | ( |  | ) |

Retrieve the error status.

Returns
  Message::OK if everything worked, something else otherwise

Definition at line 204 of file Message.php.

References MessageId().

Message::MessageId | ( |  | ) |

Get this message's messageId.

Returns
  int Message ID.

Definition at line 91 of file Message.php.

Referenced by __construct(), Delete(), and GetErrorStatus().

Here is the caller graph for this function:

Message::ParentId | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the ParentId.

For forum posts, the ParentId is a TopicId. For resource comments, the ParentId is the ResourceId.

Parameters

  int | $NewValue | New value to set (OPTIONAL)

Returns
  The current ParentId

Definition at line 133 of file Message.php.

Message::ParentType | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the ParentType.

Parent Type = 1 for forum posts and Parent Type = 2 for resource comments

Parameters

  int | $NewValue | New parent type. (OPTIONAL)

Returns
  int Current parent type.

Definition at line 145 of file Message.php.

Message::PosterEmail | ( |  | ) |

Get the email address of the most recent poster.

Returns
  string Email address of the most recent poster.

Definition at line 110 of file Message.php.

References PosterId().

Message::PosterId | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the poster id (e.g., the author) for this message.

Parameters

  int | $NewValue | New poster ID. (OPTIONAL)

Returns
  int ID number of this message's author.

Definition at line 175 of file Message.php.

Referenced by PosterEmail(), and PosterName().

Here is the caller graph for this function:

Message::PosterName | ( |  | ) |

Get the CWIS username of the most recent poster.

Returns
  string CWIS username of the most recent poster.

Definition at line 100 of file Message.php.

References PosterId().

Message::Subject | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the message subject.

Parameters

  string | $NewValue | New subject text. (OPTIONAL)

Returns
  string Message subject.

Definition at line 185 of file Message.php.

## Member Data Documentation

const Message::NONEXISTENT = 1

Definition at line 20 of file Message.php.

const Message::OK = 0

Definition at line 19 of file Message.php.

Referenced by Forum\DeleteMessage().

const Message::PARENTTYPE_RESOURCE = 2

Definition at line 23 of file Message.php.

const Message::PARENTTYPE_TOPIC = 1

Definition at line 22 of file Message.php.

Referenced by Forum\GetLastMessage(), and Forum\PostMessage().

The documentation for this class was generated from the following file:

- objects/Message.php